package com.example.mapper;

import com.example.entity.Thesis;
import org.apache.ibatis.annotations.*;

@Mapper
public interface ThesisMapper {
    @Insert("insert into teacherteam_system.thesis(teacher_id, name, date, image,website,file)" +
            "values (#{teacherId},#{name},#{date},#{image},#{website},#{file});")
    void uploadThesis(Thesis thesis);

    @Update("update teacherteam_system.teacher set thesis_num = teacher.thesis_num+1 where id = #{id}")
    void addThesisNum(Long id);

    void updateThesis(Thesis thesis);

    @Select("select * from teacherteam_system.thesis where id = #{id}")
    Thesis getById(Long id);

    @Delete("delete from teacherteam_system.thesis where id = #{id}")
    void deleteById(Long id);
}
