package com.example.service;

import com.example.dto.PageQueryDTO;
import com.example.result.PageResult;

public interface AdminService {
    /**
     * 账号分页查询
     * @param pageQueryDTO
     * @return
     */
    PageResult page(PageQueryDTO pageQueryDTO);

    /**
     * 启用禁用账号
     * @param id
     * @param status
     */
    void starOrStop(Long id, Integer status);

    /**
     * 删除老师账号
     * @param id
     */
    void deleteById(Long id);
}
