package com.example.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class Resource implements Serializable {

    private Long id;

    private String name;

    private String uploaderName;

    private Long uploader;

    private String image;;

    private String file;

    private Integer status;

    private LocalDateTime createTime;
}
