package com.example.mapper;

import com.example.dto.PageQueryDTO;
import com.example.entity.Awards;
import com.example.entity.Home;
import com.example.entity.Thesis;
import com.example.entity.Work;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface OpenMapper {
    /**
     * 首页分页查询
     * @param pageQueryDTO
     * @return
     */
    Page<Home> page(PageQueryDTO pageQueryDTO);

    /**
     * 获奖分页查询
     * @param pageQueryDTO
     * @return
     */
    Page<Awards> AwardsPage(PageQueryDTO pageQueryDTO);
    /**
     * 著作分页查询
     * @param pageQueryDTO
     * @return
     */
    Page<Work> WorkPage(PageQueryDTO pageQueryDTO);
    /**
     * 论文分页查询
     * @param pageQueryDTO
     * @return
     */
    Page<Thesis> ThesisPage(PageQueryDTO pageQueryDTO);
}
